package frc.robot.interfaces;

/**
 * An interface which ensures a class can provide common camera
 * properties in a consistent way
 */
public interface ICamera {
    /**
     * Retrieves the width of the camera's resolution
     * 
     * @return The width of the resolution, in pixels
     */
    public double getWidth();

    /**
     * Retrieves the height of the camera's resolution
     * 
     * @return The height of the resolution, in pixels
     */
    public double getHeight();
}
